## org.eclipse.datatools.modelbase.sql.routines.impl
Class ParameterImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
                  org.eclipse.datatools.modelbase.sql.routines.impl.ParameterImpl

All Implemented Interfaces:
  Parameter, SQLObject, TypedElement

public class ParameterImpl
extends TypedElementImpl
implements Parameter

An implementation of the model object 'Parameter'.

The following features are implemented:

- `Mode`
- `Locator`
- `Routine`
- `String Type Option`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetRoutine(Routine newRoutine, NotificationChain msgs)`
`NotificationChain` `basicSetStringTypeOption(CharacterStringDataType newStringTypeOption, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`ParameterMode` `getMode()`
`Routine` `getRoutine()`
`CharacterStringDataType` `getStringTypeOption()`
`boolean` `isLocator()`
`void` `setLocator(boolean newLocator)`
`void` `setMode(ParameterMode newMode)`
`void` `setRoutine(Routine newRoutine)`
`void` `setStringTypeOption(CharacterStringDataType newStringTypeOption)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
`basicGetReferencedType, basicSetContainedType, getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getMode

    public ParameterMode getMode()

  Specified by:
    `getMode` in interface `Parameter`
  Returns:
    the value of the 'Mode' attribute.
  See Also:
    `ParameterMode`, `Parameter.setMode(ParameterMode)`, `SQLRoutinesPackage.getParameter_Mode()`

### setMode

    public void setMode(ParameterMode newMode)

  Specified by:
    `setMode` in interface `Parameter`
  Parameters:
    `newMode` - the new value of the 'Mode' attribute.
  See Also:
    `ParameterMode`, `Parameter.getMode()`

### isLocator

    public boolean isLocator()

  Specified by:
    `isLocator` in interface `Parameter`
  Returns:
    the value of the 'Locator' attribute.
  See Also:
    `Parameter.setLocator(boolean)`, `SQLRoutinesPackage.getParameter_Locator()`

### setLocator

    public void setLocator(boolean newLocator)

  Specified by:
    `setLocator` in interface `Parameter`
  Parameters:
    `newLocator` - the new value of the 'Locator' attribute.
  See Also:
    `Parameter.isLocator()`

### getRoutine

    public Routine getRoutine()

  Specified by:
    `getRoutine` in interface `Parameter`
  Returns:
    the value of the 'Routine' container reference.
  See Also:
    `Parameter.setRoutine(Routine)`, `SQLRoutinesPackage.getParameter_Routine()`, `Routine.getParameters()`

### basicSetRoutine

    public NotificationChain basicSetRoutine(Routine newRoutine,
                                             NotificationChain msgs)

### setRoutine

    public void setRoutine(Routine newRoutine)

  Specified by:
    `setRoutine` in interface `Parameter`
  Parameters:
    `newRoutine` - the new value of the 'Routine' container reference.
  See Also:
    `Parameter.getRoutine()`

### getStringTypeOption

    public CharacterStringDataType getStringTypeOption()

  Specified by:
    `getStringTypeOption` in interface `Parameter`
  Returns:
    the value of the 'String Type Option' containment reference.
  See Also:
    `Parameter.setStringTypeOption(CharacterStringDataType)`, `SQLRoutinesPackage.getParameter_StringTypeOption()`

### basicSetStringTypeOption

    public NotificationChain basicSetStringTypeOption(CharacterStringDataType newStringTypeOption,
                                                      NotificationChain msgs)

### setStringTypeOption

    public void setStringTypeOption(CharacterStringDataType newStringTypeOption)

  Specified by:
    `setStringTypeOption` in interface `Parameter`
  Parameters:
    `newStringTypeOption` - the new value of the 'String Type Option' containment reference.
  See Also:
    `Parameter.getStringTypeOption()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TypedElementImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `TypedElementImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TypedElementImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `TypedElementImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `TypedElementImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.